/*  ==========================================================================
    // Column
    //
    // a container that seperates content into columns
    //
    // .column--two - two columns
    // .column--three - three columns
    // .column--four - four columns
    //
    // Markup: column.html
    //
    // Style guide: Modules.Column
    //
    ========================================================================== */

    .column--two
	{
		@include breakpoint(large)
		{
			-webkit-column-count: 	2;
		    -moz-column-count: 		2;
		    column-count: 			2;
		    -webkit-column-gap:	$r-gutter * 2;
		    -moz-column-gap:		$r-gutter * 2;
	        column-gap:			$r-gutter * 2;

	        .column__element
	        {
	        	-webkit-column-break-inside:    avoid;
        		break-inside:                   avoid;
	        }
		}
	}

	.column--three
	{
		@include breakpoint(large)
		{
			-webkit-column-count: 	3;
		    -moz-column-count: 		3;
		    column-count: 			3;
		    -webkit-column-gap:	$r-gutter * 2;
		    -moz-column-gap:		$r-gutter * 2;
	        column-gap:		$r-gutter * 2;

	        .column__element
	        {
	        	display: table;

	        	-webkit-column-break-inside:    avoid;
        		break-inside:                   avoid;
	        }
		}
	}

	.column--four
	{
		@include breakpoint(medium)
		{
			-webkit-column-count: 	2;
		    -moz-column-count: 		2;
		    column-count: 			2;
		    -webkit-column-gap:	$r-gutter * 2;
		    -moz-column-gap:		$r-gutter * 2;
	        column-gap:			$r-gutter * 2;

	        .column__element
	        {
	        	-webkit-column-break-inside:    avoid;
        		break-inside:                   avoid;
	        }
		}

		@include breakpoint(large)
		{
			-webkit-column-count: 	4;
		    -moz-column-count: 		4;
		    column-count: 			4;
		    -webkit-column-gap:	$r-gutter * 2;
		    -moz-column-gap:	$r-gutter * 2;
	        column-gap:			$r-gutter * 2;
		}
	}

	.column__element
	{
		margin-bottom: $single-space;
		
		@include breakpoint(large)
		{
			margin-bottom: 0;
		}
	}